#include "arc/input/input.h"

#include "arc/std/bool.h"

#include <stdio.h>

void ARC_Input_CreateWithEngineData(ARC_Input **input, ARC_EngineData *data){
    printf("No Input Backend Selected\n");
}

void ARC_Input_Destroy(ARC_Input *input){
    printf("No Input Backend Selected\n");
}

ARC_Bool ARC_Input_Update(ARC_Input *input){
    printf("No Input Backend Selected\n");
    return ARC_True;
}

ARC_Keyboard *ARC_Input_GetKeyboard(ARC_Input *input){
    printf("No Input Backend Selected\n");
    return NULL;
}

ARC_Mouse *ARC_Input_GetMouse(ARC_Input *input){
    printf("No Input Backend Selected\n");
    return NULL;
}

